<template>
    <app-layout>
        <template #header>API Tokens</template>
        <panel>
            <api-token-manager :tokens="tokens"
                                :available-permissions="availablePermissions"
                                :default-permissions="defaultPermissions" />
        </panel>
    </app-layout>
</template>

<script>
    import ApiTokenManager from './ApiTokenManager'

    export default {
        props: [
            'tokens',
            'availablePermissions',
            'defaultPermissions',
        ],

        components: {
            ApiTokenManager,
        },
    }
</script>
